Subject: Re: [Mingw-users] free pascal cross compiler from windows to linux working.
From: Joerg Bruehe <[email-masked]>
To: Ming mailing list <[email-masked]>
Cc: free pascal mailing list <[email-masked]>, Cygwin mailing list <[email-masked]>, BinUtils mailing list <[email-masked]>
Date: Mon, 30 Jun 2003 10:09:58 +0200

Dear all!

As I do not know on which lists it might be considered on-topic 
(I read only MinGW), I did not change the distribution.

Harald Houppermans wrote:
> 
> The free pascal 1.0.6 cross compiler host windows target linux is now
> working.
> 
> [...]
> 
> The only problem seems to be that the hello world is denied access.
> 
> It says: permission denied...

This is probably a consequence of the file system: I assume that was 
done on a FAT or FAT32 file system which does not support the 
Unix style "x" (= "executable") bit.

> 
> That is probably easily solved with chmod.
> 
> I am just wondering if the free pascal compiler can set these permission
> automatically for the linux executables.

Does the file system you use support these permissions? Probably no.

> 
> ( Is that the right term, linux executables ? :) )

Not necessarily - the "x" bit does apply to shell scripts or other 
interpreted files as well, but most people would not call these 
"executables".

> 
> So other weird red hat linux server behaviour... I have to use:  ./hello
> ( just hello does work on knoppix )
> 
> That's probably a red hat linux server setting... ./ means current folder...

FAQ: For security reasons, the PATH variable in the Unix world 
typically does not contain "." (= the current _directory_). 
Of course, you may change it in your profile.

> 
> [...]
> 
> My short answer would be: 1. no space. 2. I read linux can destroy NTFS
> partitions :)

Only if you tell your Linux to access them read-write. 
You can easily prevent any damage by setting it in your "/etc/fstab" 
list - by having them mounted either read-only or not at all.

HTH, 
Joerg Bruehe

-- 
Joerg Bruehe, SQL Datenbanksysteme GmbH, Berlin, Germany
     (speaking only for himself)
mailto: [email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/